## com.rbnb.api
Class AddressException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rbnb.api.RBNBException
                  com.rbnb.api.AddressException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DisconnectedClientException

    public class AddressException

extends RBNBException

Extended `RBNBException` for addressing problems.

Exceptions of this type are thrown whenever there is a problem with an address within the RBNB server. An address is the qualified name of an Rmap that is supposed to be in the server hierarchy.

Since:
  V2.0
See Also:
  Serialized Form
Author:
  Ian Brown
Version:
  08/13/2004

Constructor Summary
`AddressException()` Class constructor.
`AddressException(String messageI)` Class constructor to build a `AddressException` for the input detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressException

    public AddressException()

  Class constructor.

  Since:
    V2.0
  See Also:
    `AddressException(String)`
  Author:
    Ian Brown
  Version:
    01/09/2001

### AddressException

    public AddressException(String messageI)

  Class constructor to build a `AddressException` for the input detail message.

  Since:
    V2.0
  See Also:
    `AddressException()`
  Author:
    Ian Brown #param messageI the detail message.
  Version:
    01/09/2001